.TH "mca_coll_sm_bootstrap_header_extension_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_coll_sm_bootstrap_header_extension_t \- Extension to the control structure in the bootstrap mmap file.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <coll_sm.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "mca_common_sm_file_header_t \fBsuper\fP"
.br
.RI "\fIupper-level control structure \fP"
.ti -1c
.RI "\fBmca_coll_sm_bootstrap_comm_setup_t\fP * \fBsmbhe_segments\fP"
.br
.RI "\fIPointer to the start of the segments in the bootstrap area (map->seg_data only points to just beyond the mca_common_sm_file_header_t). \fP"
.ti -1c
.RI "\fBmca_coll_sm_bootstrap_comm_key_t\fP * \fBsmbhe_keys\fP"
.br
.RI "\fIPointer to array containing component.sm_bootstrap_num_segments (CID, rank 0 process name) tuples for use in bootstrap phase -- will always point immediately after the end of this struct (i.e., still within this header, but since it's variable size (set by MCA param), we can't just have it here in the struct. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Extension to the control structure in the bootstrap mmap file. 
.PP
.SH "Field Documentation"
.PP 
.SS "\fBmca_coll_sm_bootstrap_comm_key_t\fP* \fBmca_coll_sm_bootstrap_header_extension_t::smbhe_keys\fP"
.PP
Pointer to array containing component.sm_bootstrap_num_segments (CID, rank 0 process name) tuples for use in bootstrap phase -- will always point immediately after the end of this struct (i.e., still within this header, but since it's variable size (set by MCA param), we can't just have it here in the struct. 
.PP
Bonk). 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
